# std::ios_base::failure Class Reference

These are thrown to indicate problems. Doc me. More...

`#include <ios_base.h>`

Inheritance diagram for std::ios_base::failure:

[legend]
Collaboration diagram for std::ios_base::failure:

[legend]
List of all members.

## Public Member Functions

virtual const char * | what () const throw ()

## Detailed Description

These are thrown to indicate problems. Doc me.

Definition at line 166 of file ios_base.h.

## Member Function Documentation

virtual const char* std::exception::what | ( |  | ) | const throw ()`[virtual, inherited]`

| Returns a C-style character string describing the general cause of the current error. Reimplemented in std::logic_error, and std::runtime_error.

The documentation for this class was generated from the following file:

- ios_base.h